# Paragraph
The [paragraph](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/p) component accepts children.

Be mindful of when and where paragraphs appear, as well as their overall size. In certain types of page layouts, paragraph is entirely appropriate and may constitute the majority of the page, whereas, in other layouts, such as one optimized for quick browsing and listings, large paragraphs can impede the usability of the page’s content. The best rule of thumb is to only allow the paragraph to be as big as it needs to be, and then cut it down by 25-50%. Keep it short and simple.

## Usage
Paragraph sizing is intended to coordinate with headings and subheadings according to the standard type ramp. In general, use the same numerical level for the paragraph as its associated heading or subheading.

## Accessibility
Semantically meaningful content is especially important for accessibility. Use paragraph for all content that should be interpreted as paragraph text. While you could achieve similar styling using a div or many other elements, the semantics might get lost and thus negatively impact accessibility and search engine optimization.